## mediatomb 0.12.0~svn2018

=== debian/changelog ===
mediatomb (0.12.0~svn2018-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable user interface (Closes: #580120)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 16 Jul 2010 15:52:21 +0200

mediatomb (0.12.0~svn2018-6) unstable; urgency=low

  * Allow mediatomb to build against ffmpegthumbnailer 2.0 library.
    (Closes: #568961)
  * Bump Standards-Version to 3.8.4.
  * Switch to source format 3.0 (quilt).
  * Build-Depend on debhelper (7.0.50~).
  * Fix init script dependencies. (Closes: #567442, #547794).
  * Fix mappings for matroska files in config.xml. (Closes: #544039)
  * Fix mappings for ogg files in config.xml. (Closes: #558696)
  * Remove unneeded lintian override for libjs-prototype usage.
  * Confirmed that mediatomb is unaffected by new magic_load() function change.
    (Closes: #501586)
  * Add description to const_char_conversion.patch.
  * Update config.xml example configuration.
  * Disable libdvdnav feature as it's not complete.
  * Add documentation in package "mediatomb" that references documentation in
    package "mediatomb-common". (Closes: #546498)

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 10 Feb 2010 18:50:05 -0500

mediatomb (0.12.0~svn2018-5) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Non-maintainer upload.
  * Fix FTBFS due to invalid string constant to char* conversion in
    src/tools.cc (added const_char_conversion.patch) (Closes: #560468)
  * Fix non-uninstallability of mediatomb-daemon, thanks to Raul Sanchez
    Siles for the hint (Closes: #562372)
  * Fix security issue in prototype.js (CVE-2008-7720 and CVE-2007-2383)
    by using the one from the Debian package libjs-prototype
    (Closes: #555232, #555233, #475279)
    + set urgency to medium
    + Make mediatomb-common depend on libjs-prototype
    + Set a symbolic link to prototype.js using mediatomb-common.links

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 04 Feb 2010 08:57:05 -0500

mediatomb (0.12.0~svn2018-4) unstable; urgency=low

  [ Andreas Henriksson ]
  * debian/mediatomb-daemon.postinst:
    avoid trying (and failing!) to migrate database and purge rc.d scripts
    on clean installs, only do it on upgrades.
    (Also make sure the db file exists before trying to copy it for extra
     safety.)
    Thanks goes to all the people who commented on the bug! (Closes: #527566)

  [ Andres Mejia ]
  * Fix wrong namespace used for service-id attribute. (Closes: #535255)
  * Use patch instead of running autotools to generate changes to build
    system.
  * Ensure configure and other autotools generated scripts are
    executable.
  * Update packaging to take advantage of new features in debhelper 7.
  * Update override for watch file.
  * Add ${misc:Depends} for Depends field in binary packages.
  * Update Build-Depends for debhelper to 7 and quilt to 0.46-7.
  * Bump Standards-Version to 3.8.2.
  * Remove Build-Depends of automake since it's no longer needed.
  * Make some cosmetic changes to debian/control.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 05 Aug 2009 23:50:50 -0400

mediatomb (0.12.0~svn2018-3) unstable; urgency=low

  * Fix minor typo in mediatomb-transcode script.
  * Show what was passed to DEB_BUILD_OPTIONS in debian/rules.
  * Fix CFLAGS, CXXFLAGS, and LDFLAGS that were getting overridden by
    dpkg-buildpackage.
  * Update watch file to watch for new releases after 0.11.0.
  * Change Maintainer field to Debian multimedia team. Move myself down to
    Uploaders field.
  * Update Vcs-* entries for where packaging will be held in new location.
  * Update comment in postinst script.
  * Add lintian override for debian-watch-file-specifies-old-upstream-version
    warning.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 08 May 2009 20:10:24 -0400

mediatomb (0.12.0~svn2018-2) unstable; urgency=low

  * Patch config_manager.cc to generate comment in config.xml.
  * Also add mappings for matroska in config.xml.
  * Updated config.xml.dist to reflect what's generated by mediatomb.
  * Include example config.xml and mediatomb-transcode script in examples.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 24 Apr 2009 20:13:24 -0400

mediatomb (0.12.0~svn2018-1) unstable; urgency=low

  * New release from svn checkout.
  * Removed all old patches as they are applied upstream.
  * Updated mediatomb-get-orig-source script.
  * Updated options to pass to configure script when building.
  * Pass debug options when using nostrip DEB_BUILD_OPTIONS.
  * Update control file for new build dependencies.
  * Update config.xml file to the new default mediatomb installs.
  * Add comment in config.xml for location of documentation for configuration
    files.
  * Update watch file.
  * Fix issue where debug mode would not work in the working directory as a user
    without the proper permissions.
  * Add function in postinst maintainer script that will copy
    /var/lib/mediatomb/sqlite3.db to /var/lisb/mediatomb/mediatomb.db.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 22 Apr 2009 21:39:19 -0400

mediatomb (0.11.0-5) unstable; urgency=low

  * Allow mediatomb to be built against old ffmpeg libraries as well as new
    ffmpeg libraries.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 07 Apr 2009 18:14:37 -0400

mediatomb (0.11.0-4) unstable; urgency=low

  * Fix problem where mediatomb won't stop when NO_START was set to yes in
    /etc/default/mediatomb. (Closes: #488943)
  * Fix runlevel issue. (Closes: #504119)
  * Bump Standards-Version to 3.8.1.
  * Fixed awkward description for mediatomb-common (was lintian warning).
  * Add override for embedded-javascript-library for now. See bug #475279.
  * Refreshed patches.
  * Allow mediatomb to be built against new ffmpeg libraries. (Closes: #521336)
  * Remove direct check on SourceForge servers for new tarball. Addresses
    lintian warning.
  * Update compat to 5. Addresses lintian warning.
  * Update package description to remove first person summary. Addresses lintian
    warning.


