=== debian/control ===
Source: mediatomb
Section: net
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andres Mejia <mcitadel@gmail.com>,
 Leonhard Wimmer <leo@mediatomb.cc>, Sven Mueller <sven@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libexpat-dev,
 libcurl4-gnutls-dev | libcurl3-gnutls-dev, libavformat-dev, libexif-dev,
 libtag1-dev, libmagic-dev, libmysqlclient-dev, libsqlite3-dev, libz-dev,
 libmozjs-dev, libffmpegthumbnailer-dev
Standards-Version: 3.8.4
Homepage: http://mediatomb.cc/
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediatomb.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediatomb.git

Package: mediatomb-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-prototype
Description: UPnP MediaServer (base package)
 MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
 to stream your digital media through your home network and listen to/watch it
 on a variety of UPnP compatible devices.
 .
 MediaTomb implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however MediaTomb's functionality is extended to
 cover the optional parts of the spec as well.
 .
 This package contains the binary, the manpage, and everything needed for
 scripting and the web interface.

Package: mediatomb-daemon
Architecture: all
Depends: mediatomb-common (>= ${source:Version}), adduser (>= 3.34),
 ${misc:Depends}
Description: UPnP MediaServer (daemon package)
 MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
 to stream your digital media through your home network and listen to/watch it
 on a variety of UPnP compatible devices.
 .
 MediaTomb implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however MediaTomb's functionality is extended to
 cover the optional parts of the spec as well.
 .
 This package contains the files needed to run mediatomb as a daemon.

Package: mediatomb
Architecture: all
Depends: mediatomb-daemon (>= ${source:Version}),
 iceweasel | firefox | www-browser, ${misc:Depends}
Description: UPnP MediaServer (main package)
 MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
 to stream your digital media through your home network and listen to/watch it
 on a variety of UPnP compatible devices.
 .
 MediaTomb implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however MediaTomb's functionality is extended to
 cover the optional parts of the spec as well.
 .
 This package contains the desktop file needed to access the web ui using a
 system's default web browser. This package also acts as a virtual package to
 install all other mediatomb packages.
