## mediatomb 0.12.1

=== debian/changelog ===
mediatomb (0.12.1-5ubuntu2) trusty; urgency=medium

  * I brilliantly forgot to upload the proper changelog I had written. Below:
  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Don't build-depend on libmozjs-dev.
      + Add OR depends on abrowser.
    - debian/{mediatomb-daemon.mediatomb.upstart,rules}: Introduce upstart
      support to fix start-on-boot failure.
    - debian/mediatomb-daemon.postinst: Give executable bit to complete
      upstart support.
    - debian/rules: Disable JS support.
  * Drop all Ubuntu-only patches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 29 Dec 2013 01:00:23 -0500

mediatomb (0.12.1-5ubuntu1) trusty; urgency=medium

  * Merge.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 28 Dec 2013 23:22:35 -0500

mediatomb (0.12.1-5) unstable; urgency=low

  * Team upload.

  [ Hector Oron ]
  * Fix build against libmp4v2. (Closes: #677958)
  * Remove config.log file upon cleanup.

  [ Sebastian Ramacher ]
  * debian/patches/0011_libav_9_support.patch: Apply patch from Jona Schuman
    to port mediatomb to libav 9 API. Thanks to Jona Schuman for the patch
    (Closes: #677959)
  * debian/control:
    - Remove obsolete Dm-Upload-Allow. The archive software ignores it.
    - Build-Depends: Bump libavformat-dev to >= 6:9.
    - Vcs-*: Use canonical locations.
    - Bump Standards-Version to 3.9.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Sep 2013 15:16:50 +0200

mediatomb (0.12.1-4) unstable; urgency=low

  * Bump debhelper and the compatibility level to 9.
    - Enables hardened build flags.
  * debian/control:
    - Remove Andres Mejia from the uploaders list.
    - Bump Standards-Version to 3.9.3.
    - mediatomb-daemon depends on lsb-base (>= 3.2-14).
    - Create the mediatomb-dbg package.
  * debian/rules:
    - Simplify the rules file.
    - Remove deprecated mediatomb configuration options.
  * debian/patches/*:
    - Update the copyObject function to avoid segfaults with js 1.8.
      (Closes: #664967)
    - Fix the spelling errors mentioned by lintian.
    - Add Ubuntu's patch to properly parse the bitrate and the number of audio
      channels.
  * debian/mediatomb-daemon.mediatomb.init:
    - Add a Description LSB keyword to the init script.
    - Implement the status option in the init script.
  * debian/*:
    - Update the lintian overrides.
    - Use set -e in the body of the maintainer scripts.
    - Remove the references to the versionless symlinks (GPL/LGPL) in the
      copyright file.
    - Add a Readme.source file to explain the requirements needed to be able 
      to use DEB_BUILD_OPTIONS=nostrip.
    - Update my name in various files.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 14 Apr 2012 02:34:34 -0400

mediatomb (0.12.1-3) unstable; urgency=low

  [ Arnout Engelen ]
  * Build with recent versions of ffmpeg. (Closes: #509918, #589208)
  * Force removal of old /etc/init.d/mediatomb scripts. Fixes #577619

  [ Miguel Colon ]
  * Team upload.
  * Fix a FTBFS when using gcc-4.6. (Closes: #624921)
  * Fix a FTBFS by porting to spidermonkey 1.8:
    - Fix a failure to categorize media files with the new js.
    - Build depend on libmozjs185-dev instead of libmozjs-dev.
    - Add detection for -lmozjs185 during the configure script.
    - Use dh-autoreconf instead of patching the results of an old autoreconf.
    - (Closes: #652534, #631046, #642578, #661149)
  * Fixed upstream by adding -lz. (Closes: #555594)
  * Fixed upstream in svn r2034 and already in 0.12.1. (Closes: #572701)
  * Fix a FTBFS when using gcc-4.7.
  * Fix a crash triggered by files with length > 999 hours.
  * Most of the patches originate from the Fedora mediatomb maintainers. Thanks
    go to them.

  [ Hector Oron ]
  * Drop -fpermissive from js_1.8_support.patch, as it makes unapply patches
    to fail after build has finalized.
  * Re-introduce mediatomb into Debian (Closes: #663456).
  * Add Miguel Colon and myself to uploaders.

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 15:18:01 +0100

mediatomb (0.12.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * new upstream release explicitly adds -lz during build. (Closes: #614956)
  * move user creation scripts from preinst to postinst to avoid
    pre-dependency on adduser
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Feb 2011 21:11:18 +0100

mediatomb (0.12.1-1) experimental; urgency=low

  * New upstream release. (Closes: #579316)
  * Update patches that are to be applied, resolve changes from new
    upstream source.
  * Refresh all patches.
  * Disable lastfm scrobbling support for now since lastfmlib is not in Debian.
  * Update Standards-Version to 3.9.1.
  * Update copyright file to include full text of various BSD licenses.
  * Update watch file for new release.
  * Rotate mediatomb log file weekly for 12 weeks. (Closes: #574685)

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 12 Sep 2010 00:42:53 -0400

mediatomb (0.12.1-0ubuntu6) trusty; urgency=low

  * import 0011_libav_9_support.patch from debian

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 22 Nov 2013 13:01:14 +0000

mediatomb (0.12.1-0ubuntu5) quantal; urgency=low

  * import gcc_4.{6,7}_support.patch from debian 

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 11:04:25 +0200

mediatomb (0.12.1-0ubuntu4) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:55:08 -0800

mediatomb (0.12.1-0ubuntu3) precise; urgency=low

  * debian/patches/fix-ffmpeg-metadata.patch: properly parse the bitrate
    and the number of audio channels. (LP: #875098)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 16 Oct 2011 18:14:27 -0400

mediatomb (0.12.1-0ubuntu2) oneiric; urgency=low

  * Introduce Upstart support to fix start-on-boot failure (LP: #212441)
  * Fix build gcc-4.6 build failure (missing correct header) (LP: #770964)
  * Added libav 0.7 support (LP: #784431)


