=== debian/control ===
--- 
+++ 
@@ -1,22 +1,37 @@
 Source: mediatomb
 Section: net
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andres Mejia <mcitadel@gmail.com>,
- Leonhard Wimmer <leo@mediatomb.cc>, Sven Mueller <sven@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libexpat-dev,
- libcurl4-gnutls-dev | libcurl3-gnutls-dev, libavformat-dev, libexif-dev,
- libtag1-dev, libmagic-dev, libmysqlclient-dev, libsqlite3-dev, libz-dev,
- libmozjs-dev, libffmpegthumbnailer-dev
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Leonhard Wimmer <leo@mediatomb.cc>,
+ Sven Mueller <sven@debian.org>,
+ Miguel A. Colón Vélez <debian.micove@gmail.com>,
+ Hector Oron <zumbi@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-autoreconf,
+ libavformat-dev (>= 6:9),
+ libcurl4-gnutls-dev | libcurl3-gnutls-dev,
+ libexif-dev,
+ libexpat-dev,
+ libffmpegthumbnailer-dev,
+ libmagic-dev,
+ libmysqlclient-dev,
+ libsqlite3-dev,
+ libtag1-dev,
+ libz-dev
+Standards-Version: 3.9.4
 Homepage: http://mediatomb.cc/
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediatomb.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediatomb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mediatomb.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mediatomb.git
 
 Package: mediatomb-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-prototype
+Depends:
+ libjs-prototype,
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: UPnP MediaServer (base package)
  MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
  to stream your digital media through your home network and listen to/watch it
@@ -32,7 +47,10 @@
 
 Package: mediatomb-daemon
 Architecture: all
-Depends: mediatomb-common (>= ${source:Version}), adduser (>= 3.34),
+Depends:
+ adduser (>= 3.34),
+ lsb-base (>= 3.2-14),
+ mediatomb-common (>= ${source:Version}),
  ${misc:Depends}
 Description: UPnP MediaServer (daemon package)
  MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
@@ -48,8 +66,10 @@
 
 Package: mediatomb
 Architecture: all
-Depends: mediatomb-daemon (>= ${source:Version}),
- iceweasel | firefox | www-browser, ${misc:Depends}
+Depends:
+ iceweasel | firefox | abrowser | www-browser,
+ mediatomb-daemon (>= ${source:Version}),
+ ${misc:Depends}
 Description: UPnP MediaServer (main package)
  MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
  to stream your digital media through your home network and listen to/watch it
@@ -63,3 +83,22 @@
  This package contains the desktop file needed to access the web ui using a
  system's default web browser. This package also acts as a virtual package to
  install all other mediatomb packages.
+
+Package: mediatomb-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends:
+ mediatomb-common (= ${binary:Version}),
+ ${misc:Depends}
+Description: UPnP MediaServer (debug package)
+ MediaTomb is an UPnP MediaServer with a nice web user interface, it allows you
+ to stream your digital media through your home network and listen to/watch it
+ on a variety of UPnP compatible devices.
+ .
+ MediaTomb implements the UPnP MediaServer V 1.0 specification that can be found
+ on http://www.upnp.org/. The current implementation focuses on parts that are
+ required by the specification, however MediaTomb's functionality is extended to
+ cover the optional parts of the spec as well.
+ .
+ This package contains the debugging symbols for mediatomb.
