## mediatomb 0.12.1-47-g7ab7616

=== debian/changelog ===
mediatomb (0.12.1-47-g7ab7616-1ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:54 +0000

mediatomb (0.12.1-47-g7ab7616-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Don't build-depend on libmozjs-dev.
    - debian/{mediatomb-daemon.mediatomb.upstart,rules}: Introduce upstart
      support to fix start-on-boot failure.
    - debian/rules: Disable JS support.
  * Dropped changes:
    - drop OR depends on abrowser, which last existed in precise.
    - debian/mediatomb-daemon.postinst: no reason this needs an executable
      bit in the source package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 15:51:30 -0700

mediatomb (0.12.1-47-g7ab7616-1) unstable; urgency=medium

  [ Miguel A. Colón Vélez ]
  * New upstream snapshot.
    - Added subtitle support for Samsung devices. (Closes: #730391)
  * debian/control:
    - Build depend on pkg-config to fix FTBFS.
    - Explicitly build depend on libavutil-dev.
    - Bump libav requirement to 10.
    - Build depend on libflac-dev to enable FLAC metadata extraction.
    - Build depend on uuid-dev to use the system's libuuid.
  * debian/patches:
    - Refresh and update all patches.
    - Use a more robust patch for building wih libmp4v2.
    - Revert an upstream commit to fix building with libmp4v2.
    - Drop internal libuuid and use the system's libuuid.
    - Drop patches that were fixed upstream:
      + 0005_buffer_overrun_999hours.patch
      + 0006a_js_1.8_support.patch
      + 0006b_js_parse.patch
      + 0006c_js_copyObject.patch
      + 0007_libmozjs185_support.patch
      + 0008a_gcc_4.6_support.patch
      + 0008b_gcc_4.7_support.patch
      + 0009a_libav_0.7_support.patch
      + 0011_libav_9_support.patch
      + 0012_remove_absolute_paths.patch
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
    - Add --disable-silent-rules for compiler-flags-hidden.
    - Remove --disable-libextractor. (deprecated)
    - Use --disable-lastfm instead of --disable-lastfmlib.
  * Remove myself as uploader.

  [ IOhannes m zmölnig ]
  * Disabled User-Interface by default. (Closes: #580120, #778669)
  * Add notification in NEWS/README.Debian about the disabled user-interface.

 -- Hector Oron <zumbi@debian.org>  Mon, 13 Jul 2015 19:41:42 +0200

mediatomb (0.12.1-7ubuntu2) wily; urgency=medium

  * No-change rebuild against libffmpegthumbnailer4v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 21:00:48 +0000

mediatomb (0.12.1-7ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/control:
      + Don't build-depend on libmozjs-dev.
      + Add OR depends on abrowser.
    - debian/{mediatomb-daemon.mediatomb.upstart,rules}: Introduce upstart
      support to fix start-on-boot failure.
    - debian/mediatomb-daemon.postinst: Give executable bit to complete
      upstart support.
    - debian/rules: Disable JS support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Dec 2014 16:44:28 +0000

mediatomb (0.12.1-7) unstable; urgency=medium

  * d/mediatomb-daemon.mediatomb.init: issue an error if MT_USER is not set.
  * d/rules: disable libmp4v2.
    + fixes FTBFS and potential licensing incompatibility.
    Thanks Michael Tautschnig for report.
    (Closes: #765811)
  * Rename mediatomb-daemon service file to mediatomb.
    + enables systemd and sysvinit coexistence.
    + d/mediatomb-daemon.service: make configuration file mandatory.
    + d/mediatomb-daemon.service: require MT_USER variable in configuration
      file.
  * d/control: bump standards version to 3.9.6.
  * d/mediatomb-daemon.mediatomb.init: drop $all depends per lintian check.

  [ Hector Oron ]
  * New release targeting unstable.

 -- Hector Oron <zumbi@debian.org>  Sun, 19 Oct 2014 03:58:35 +0200

mediatomb (0.12.1-6) unstable; urgency=medium

  [ Hector Oron ]
  * d/p/0013_symlinks.patch: avoids ignoring symlinks
    Thanks Jona Schuman for patch.
    (Closes: #677964)
  * d/mediatomb-daemon.mediatomb.logrotate: reload service instead use pkill
    Based on a proposal by Guillem Jover.
    (Closes: #691650)
  * d/control: alternative build depend on libcurl4-openssl-dev.
    Based on a proposal by Mathieu Malaterre.
    (Closes: #696553)
  * d/p/0012_remove_absolute_paths.patch: new patch.
    Thanks Rene Martin Rodriguez for patch.
    (Closes: #617367)
  * d/mediatomb-daemon.postrm: stop daemon on removals.
    Thanks Dominik Röttsches
    (Closes: #606804)
  * daemon: switch envvars to use MT_ prefix from upstream configuration.
  * daemon: add systemd unit file
  * d/rules,control: build with systemd support
  * d/rules: enable libmp4v2
  * d/mediatomb-daemon.postrm: avoid exit on stop

 -- Hector Oron <zumbi@debian.org>  Fri, 26 Sep 2014 20:30:49 +0200

mediatomb (0.12.1-5ubuntu4) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:32:00 +0100

mediatomb (0.12.1-5ubuntu3) utopic; urgency=high

  * No change rebuild against libav10 transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Jun 2014 11:16:05 +0100
