=== debian/control ===
--- 
+++ 
@@ -6,22 +6,26 @@
 Uploaders:
  Leonhard Wimmer <leo@mediatomb.cc>,
  Sven Mueller <sven@debian.org>,
- Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Hector Oron <zumbi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9~),
  dh-autoreconf,
- libavformat-dev (>= 6:9),
- libcurl4-gnutls-dev | libcurl3-gnutls-dev,
+ dh-systemd,
+ libavformat-dev (>= 6:10~),
+ libavutil-dev (>= 6:10~),
+ libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libexif-dev,
  libexpat-dev,
  libffmpegthumbnailer-dev,
+ libflac-dev,
  libmagic-dev,
  libmysqlclient-dev,
  libsqlite3-dev,
  libtag1-dev,
- libz-dev
-Standards-Version: 3.9.4
+ libz-dev,
+ pkg-config,
+ uuid-dev
+Standards-Version: 3.9.6
 Homepage: http://mediatomb.cc/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mediatomb.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mediatomb.git
@@ -67,7 +71,7 @@
 Package: mediatomb
 Architecture: all
 Depends:
- iceweasel | firefox | abrowser | www-browser,
+ iceweasel | firefox | www-browser,
  mediatomb-daemon (>= ${source:Version}),
  ${misc:Depends}
 Description: UPnP MediaServer (main package)
