=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,11 @@
 			--enable-db-autocreate \
 			--disable-id3lib \
 			--disable-libmp4v2 \
-			--disable-libextractor \
-			--disable-lastfmlib \
+			--disable-lastfm \
 			$(MEDIATOMB_DEBUG_OPTIONS)
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(MEDIATOMB_CONFIG_OPTIONS)
+	dh_auto_configure -- $(MEDIATOMB_CONFIG_OPTIONS) --disable-silent-rules
 
 override_dh_installinit:
 	dh_installinit --name=mediatomb 
@@ -50,13 +49,10 @@
 override_dh_strip:
 	dh_strip --dbg-package=mediatomb-dbg
 
-override_dh_clean:
-	rm -f config.log
-	dh_clean
+%:
+	dh $@ --with autoreconf,systemd
 
 get-orig-source:
-# Use external script
-	$(dir $_)mediatomb-get-orig-source
+	sh debian/get-git-source.sh
 
-%:
-	dh $@ --with autoreconf
+.PHONY: get-orig-source
